Skip to main content
GET
/
v1
/
references
/
{id}
Retrieve a reference
curl --request GET \
  --url https://api.yorlet.com/v1/references/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "reference",
  "application": "<string>",
  "automatic_reference": {
    "enabled": true,
    "last_error": "<string>",
    "outcome": "<string>",
    "provider_data": {
      "advance_rent": {
        "affordability": {
          "percentage": 123,
          "status": "<string>"
        },
        "credit_score": 123,
        "notes": [
          {
            "created": 123,
            "message": "<string>"
          }
        ],
        "progress": 123,
        "sanctions_passed": true
      },
      "type": "advance_rent"
    },
    "provider": "advance_rent",
    "status": "<string>"
  },
  "completed_at": 123,
  "customer": "<string>",
  "outcome": "accept",
  "reference_pdf": "<string>",
  "status": "pending",
  "type": "customer",
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a reference object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
reference
application
required

The identifier of the application for the reference.

automatic_reference
object
required

Automatic reference settings for this reference.

completed_at
integer | null
required

The timestamp of the reference completion.

customer
required

The customer for the reference.

outcome
enum<string> | null
required

The outcome of the reference.

Available options:
accept,
consider,
high_risk,
null
reference_pdf
string | null
required

The file of the completed reference PDF.

Pattern: ^[a-zA-Z0-9_]+$
status
enum<string>
required

The status of the reference.

Available options:
pending,
processing,
complete,
canceled
type
enum<string>
required

The reference type.

Available options:
customer
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

The metadata for the reference.